use "E:\KURSER\MPH\Specialmodul\Eksperiment\chemo.dta",clear
codebook
bysort treatm:sum
gene total=count1+count2+count3+count4
by treatm: sum total
hist total,by(treatm)norm 
ttest total,by(treatm)

hist baseline, by(treatm) norm
ttest baseline,by(treatm)

gene change=total-baseline
hist change, by(treatm) norm
ttest change,by(treatm)



graph twoway ///
(scatter total baseline if treatm==0 , mco(blue)) ///
(scatter total baseline if treatm==1 , mco(red)) ///
(function y=x, range(0 300)), ///
 xlab( 0 1 10 100 200 300) xtit(baseline) ///
  ylab( 0 1 10 100 200 300) ytit(total) ///
 legend(label( 1 "placebo") label(2 "progabide") label(3 "y=x") pos(11) ring(0))


qnorm change if treatm==0, title("Placebo") mco(blue)
graph save dum0,replace
qnorm change if treatm==1, title("Progabide") mco(blue)
graph save dum1,replace
graph combine dum0.gph dum1.gph
************************************************************************
*Analyse p ln skala
***********************************************************************

gene ernul=1 if total==0
gene logtotal=log(total)
replace logtotal=0 if ernul==1

by treatm: sum logtotal
hist logtotal,by(treatm) norm
ttest logtotal,by(treatm)

gene logbase=log(baseline)
hist logbase,by(treatm) norm
ttest logbase,by(treatm)

gene ratio=total/baseline
gene logratio=logtotal-logbase

hist logratio,by(treatm) norm
ttest logratio,by(treatm)

hist ratio,by(treatm) norm
ttest ratio,by(treatm)


qnorm logratio if treatm==0, title("Placebo")mco(blue)
graph save dum0,replace
qnorm logratio if treatm==1, title("Progabide")mco(blue)
graph save dum1,replace
graph combine dum0.gph dum1.gph

ttest ratio,by(treatm)

graph twoway ///
(scatter total baseline if treatm==0 & total>0, mco(blue)) ///
(scatter total baseline if treatm==1 & total>0, mco(red)) ///
(function y=x, range(1 300)), ///
 xscale(log) xlab( 1 10 100 200 300) xtit(baseline) ///
 yscale(log) ylab( 1 10 100 200 300) ytit(total) ///
 legend(label( 1 "placebo") label(2 "progabide") label(3 "y=x") pos(11) ring(0))


